Bug 454917 - Review Request: figlet - a program to print stdin to stdout as ASCIIart
Review Request: figlet - a program to print stdin to stdout as ASCIIart
Status: CLOSED DUPLICATE of bug 820642
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
: 251857 (view as bug list)
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2008-07-10 15:15 EDT by John McLean
Modified: 2012-05-17 08:01 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-06 20:49:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John McLean 2008-07-10 15:15:08 EDT
Spec URL: http://jesusfreak91.googlepages.com/figlet.spec
SRPM URL: http://jesusfreak91.googlepages.com/figlet-2.2.2-1.fc9.src.rpm
Description: figlet is run on the cli and takes stdin and prints it out as ASCIIart.  Figlet supports several options concerning output width/justification.  Figlet also supports several fonts, which can be shown using the 'showfigfont' and 'figlist' commands.
Comment 1 Jason Tibbitts 2008-07-10 15:43:04 EDT
Note to anyone who might notice that this was submitted (and withdrawn)
previously: the code was relicensed from the (not acceptable) Artistic license
to the (perfectly acceptable) Academic Free License in 2005.
Comment 2 Jason Tibbitts 2008-07-10 15:43:11 EDT
*** Bug 251857 has been marked as a duplicate of this bug. ***
Comment 3 Rakesh Pandit 2008-07-26 10:13:42 EDT
I am not a sponsor. These are few suggestions:

1. No need for buildRequires: autoconf, automake, libtool, glibc

2. Source Link (or package source) should be from project download resources:
ftp://ftp.figlet.org/pub/figlet/program/unix/ seems to be right place.

3. For making Source URL you may use Adam Jackson's trick:
%define figversion %( echo %{version} | sed 's/\\.//g' )
ftp://ftp.figlet.org/pub/figlet/program/unix/%{name}%{figversion}.tar.gz

4. package does not own %{_datadir}/figlet directory
use
%{_mandir}/man6/figlet.6*
%{_datadir}/figlet 

Comment 4 John McLean 2008-07-28 11:54:48 EDT
I've fixed these problems and uploaded the changes.
Comment 5 Rakesh Pandit 2008-07-28 12:50:00 EDT
It is very required that for changes you should update URLs to new srpm and
spec, increment in release count. So update changelog and release field and post
newly build srpm and spec file URLs
Comment 6 Rakesh Pandit 2008-07-28 12:54:42 EDT
As soon as you do so I can just help with a detailed pre-review, to help you :-)
I am not a sponsor so cannot review officially until you are sponsored. You may
like to check wiki entry for 'HowToGetSponsored'
Comment 7 John McLean 2008-07-28 13:06:15 EDT
Alright.

The spec file is the same url.
the srpm is now: http://jesusfreak91.googlepages.com/figlet-2.2.2-2.fc9.src.rpm
Comment 8 manuel wolfshant 2008-07-29 18:36:42 EDT
There are a couple of fixes needed:
1) According to the following section of the build log:
+ make -j5
gcc -g -DDEFAULTFONTDIR=\"/usr/share/figlet\" \
           -DDEFAULTFONTFILE=\"standard.flf\" \
           figlet.c zipio.c crc.c inflate.c -o figlet
gcc -g -o chkfont chkfont.c
chkfont.c: In function 'my_alloc':
chkfont.c:68: warning: incompatible implicit declaration of built-in function
'malloc'
chkfont.c: In function 'usageerr':
chkfont.c:103: warning: incompatible implicit declaration of built-in function
'exit'
chkfont.c: In function 'checkit':
chkfont.c:226: warning: incompatible implicit declaration of built-in function
'exit'
chkfont.c:260: warning: incompatible implicit declaration of built-in function
'free'
chkfont.c: In function 'main':
chkfont.c:458: warning: incompatible implicit declaration of built-in function
'free'
chkfont.c:460: warning: incompatible implicit declaration of built-in function
'exit'
the default compiler flags setup by the buildsystem are ignored. Please fix the
spec to use them

2) INSTALL="install -p" is ignored. "make install" uses a plain cp (rather than
$INSTALL) which does not preserve timestamps. Please try to fix that, too.

3) the changelog contains a reference to "%files". Please use "%%files" instead
(this will make rpmlint happier)
Comment 9 John McLean 2008-07-30 13:52:39 EDT
Those problems should be fixed now.

new srpm: http://jesusfreak91.googlepages.com/figlet-2.2.2-3.fc9.src.rpm
Comment 10 Mamoru TASAKA 2008-08-06 11:30:10 EDT
As debian says, currently I think that this is non-free.

The license of crc.c (and others):
http://packages.debian.org/changelogs/pool/non-free/f/figlet/figlet_2.2.2-1/figlet.copyright

The issue
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=274950
does not seem to have disappeared.

Blocking FE-Legal.
Comment 11 John McLean 2008-08-06 12:41:00 EDT
Figlet has been re-licensed (in 2005) under the Academic Free License, rather than the Artistic license.  See comment #1.
Comment 12 Mamoru TASAKA 2008-08-06 12:51:02 EDT
No. 

You are just saying that the license text is changed from ASL to AFL.
Yes, actually with this license change figlet.c is relicensed under
from ASL to AFL

But I am referring to the license used in crc.c, inflate.c, and so on.
The license used in these codes are not ASL and not AFL. They are licensed
under what debian regards as non-free and I agree with this (i.e. these codes
are non-free).
Comment 13 John McLean 2008-08-06 17:32:30 EDT
Ah.  That is a problem.  In that case, then I suppose I should mark it as closed?
Comment 14 Mamoru TASAKA 2008-08-06 20:49:04 EDT
Okay. Once closing. Thank you anyway.
Comment 15 Thomas Spura 2012-05-17 08:01:52 EDT

*** This bug has been marked as a duplicate of bug 820642 ***

Note You need to log in before you can comment on or make changes to this bug.